com.elastisys.scale.cloudpool.openstack.tasks

## Class ServerIpAddressRequester

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.tasks.ServerIpAddressRequester

All Implemented Interfaces:
  Callable<org.openstack4j.model.compute.Addresses>

    public class ServerIpAddressRequester
    extends Object
    implements Callable<org.openstack4j.model.compute.Addresses>

A `Requester` that returns the IP addresses for a given Openstack server instance.

It can, for example, be used in a `Retryable` to wait for a server to be assigned a (private) IP address.

See Also:
  `Retryable`, `RetryUntilAssignedIpAddress`

### Constructor Summary

Constructors
Constructor and Description
`ServerIpAddressRequester(org.openstack4j.api.OSClient api, String serverId)` Constructs a new `ServerIpAddressRequester` task.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.openstack4j.model.compute.Addresses` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerIpAddressRequester

    public ServerIpAddressRequester(org.openstack4j.api.OSClient api,
                                    String serverId)

Constructs a new `ServerIpAddressRequester` task.

Parameters:
  `api` - An Openstack API client.
  `serverId` - The identifier of the server instance whose IP addresses are to be retrieved.

### Method Detail

#### call

    public org.openstack4j.model.compute.Addresses call()
                                                 throws Exception

Specified by:
  `call` in interface `Callable<org.openstack4j.model.compute.Addresses>`
Throws:
  `Exception`